docs

# PhotoSize

data class PhotoSize ( val fileId: FileId , val fileUniqueId: FileUniqueId , val fileSize: Long ? = null, val width: Int , val height: Int ) : SizedMediaFile
Content copied to clipboard

## Constructors

PhotoSize
Link copied to clipboard
fun PhotoSize ( fileId: FileId , fileUniqueId: FileUniqueId , fileSize: Long ? = null, width: Int , height: Int )
Content copied to clipboard

## Properties

fileId
Link copied to clipboard
open override val fileId : FileId
Content copied to clipboard
fileSize
Link copied to clipboard
open override val fileSize : Long ? = null
Content copied to clipboard
fileUniqueId
Link copied to clipboard
open override val fileUniqueId : FileUniqueId
Content copied to clipboard
height
Link copied to clipboard
open override val height : Int
Content copied to clipboard
resolution
Link copied to clipboard
val resolution : Long
Content copied to clipboard
width
Link copied to clipboard
open override val width : Int
Content copied to clipboard

## Extensions

toTelegramMediaPhoto
Link copied to clipboard
fun PhotoSize . toTelegramMediaPhoto (text: String ? = null, parseMode: ParseMode ? = null): TelegramMediaPhoto
Content copied to clipboard
fun PhotoSize . toTelegramMediaPhoto (textSources: TextSourcesList = emptyList()): TelegramMediaPhoto
Content copied to clipboard